using System;

namespace WpfCoreExceptionDialog.Dialogs
{
    public class DataProperty : IComparable
    {
        /// <summary>
        /// Der Name der Eigenschaft.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Der Wert der Eigenschaft.
        /// </summary>
        public string Value { get; set; }

        /// <summary>
        /// Vergleicht diese Instanz mit einem angegebenen Objekt,
        /// und gibt eine Angabe ber das Verhltnis der entsprechenden Werte zurck.
        /// </summary>
        /// <param name="obj">Ein Objekt, das mit dieser Instanz verglichen werden soll.</param>
        /// <returns>Eine Ganzzahl mit Vorzeichen, die die relative Reihenfolge dieser Instanz und obj angibt.</returns>
        public int CompareTo(object obj)
        {
            if (obj is DataProperty)
            {
                DataProperty temp = (DataProperty)obj;

                return Name.CompareTo(temp.Name);
            }

            throw new ArgumentException("Das Objekt " + obj.ToString() + " ist nicht vom Typ " + typeof(DataProperty).Name + " und kann nicht sortiert werden.");
        }
    }
}