namespace WpfCoreExceptionDialog.Dialogs
{
    public class ExceptionPoint
    {
        /// <summary>
        /// Der Text der Ausnahme.
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// Der Type der Ausnahme.
        /// </summary>
        public string Type { get; set; }

        /// <summary>
        /// Die Methode der Ausnahme.
        /// </summary>
        public string Method { get; set; }

        /// <summary>
        /// Die Zeile der Ausnahme.
        /// </summary>
        public string Line { get; set; }

        /// <summary>
        /// Die Spalte der Ausnahme.
        /// </summary>
        public string Column { get; set; }

        /// <summary>
        /// Die interne Hilfe.
        /// </summary>
        public string HelpLink { get; set; }

        /// <summary>
        /// Der Name der Quellcodedatei.
        /// </summary>
        public string Sourcefile { get; set; }

        /// <summary>
        /// Die Klasse, in der die Ausnahme aufgetreten ist.
        /// </summary>
        public string Class { get; set; }

        /// <summary>
        /// Der IlOffset fr die Ausnahme.
        /// </summary>
        public string IlOffset { get; set; }

        /// <summary>
        /// Der NativeOffset fr die Ausnahme.
        /// </summary>
        public string NativeOffset { get; set; }

        /// <summary>
        /// Die Liste der Stackeintrge fr die Ausnahme.
        /// </summary>
        public StackPointCollection Stacks { get; set; }

        /// <summary>
        /// Die innere Ausnahme oder <b>Null</b>, wenn keine vorhanden ist.
        /// </summary>
        public ExceptionPoint InnerException { get; set; }

        /// <summary>
        /// Die anzuzeigenden erweiterten Eigenschaften.
        /// </summary>
        public DataPropertyCollection DataProperties { get; set; }
    }
}