namespace WpfCoreExceptionDialog.Dialogs
{
    public class GeneralPoint
    {
        /// <summary>
        /// Der Key, der die Ausnahme fr eine Anwendung identifiziert.
        /// </summary>
        /// <remarks>Die Reihenfolge der Behandlung der Keys, wenn
        /// Werte nicht vorhanden sind siehe unter <see cref="ExceptionDialog.ApplicationKey"/>.</remarks>
        public string Key { get; set; }

        /// <summary>
        /// Der Produktname der Anwendung nach <see cref="System.Windows.Forms.Application.ProductName"/>
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Die Produktversion der Anwendung nach <see cref="System.Windows.Forms.Application.ProductVersion"/>
        /// </summary>
        public string Version { get; set; }

        /// <summary>
        /// Das Startverzeichnis der Anwendung nach <see cref="System.Windows.Forms.Application.StartupPath"/>
        /// </summary>
        public string StartupPath { get; set; }

        /// <summary>
        /// Der Name der Betriebssystemversion.
        /// </summary>
        public string Operatingsystem { get; set; }

        /// <summary>
        /// Die Version des .Net-Frameworks.
        /// </summary>
        public string NetVersion { get; set; }

        /// <summary>
        /// Der Name des Hosts.
        /// </summary>
        public string Host { get; set; }

        /// <summary>
        /// Der Name des Benutzers, unter der die Ausnahme aufgetreten ist.
        /// </summary>
        public string User { get; set; }

        /// <summary>
        /// Der Name der Assembly, die die Anwendung gestartet hat.
        /// </summary>
        public string Assembly { get; set; }

        /// <summary>
        /// Die AppDomain, unter der die Anwendung gestartet wurde.
        /// </summary>
        public string AppDomain { get; set; }

        /// <summary>
        /// Der Name des Threads, unter der die Anwendung gestartet wurde.
        /// </summary>
        public string ThreadName { get; set; }

        /// <summary>
        /// Die Id des Threads, unter der die Anwendung gestartet wurde.
        /// </summary>
        public string ThreadId { get; set; }

        /// <summary>
        /// Die Name des Benutzers, unter der der Threads fr die Anwendung gestartet wurde.
        /// </summary>
        public string ThreadUser { get; set; }

        /// <summary>
        /// Die Ausnahme, die ausgelst wurde.
        /// </summary>
        public ExceptionPoint Exception { get; set; }
    }
}